Loading...
Searching...
No Matches
Dune::ImplicitModeCompressionBufferExhausted Class Reference
Iterative Solvers Template Library (ISTL)

Thrown when the compression buffer used by the implicit BCRSMatrix construction is exhausted. More...

`#include <dune/istl/istlexception.hh>`

Inheritance diagram for Dune::ImplicitModeCompressionBufferExhausted:

## Detailed Description

Thrown when the compression buffer used by the implicit BCRSMatrix construction is exhausted.

This error occurs if the compression buffer of the BCRSMatrix did not have room for another non-zero entry during implicit mode construction.

You can fix this problem by either increasing the average row size or the compressionBufferSize value.

The documentation for this class was generated from the following file:

- istlexception.hh